<?php
require_once '../../lib/config.inc.php';
require_once '../../lib/app.inc.php';

/******************************************
* Begin Form configuration
******************************************/

$list_def_file = "list/mail_user_lastlogin.list.php";

/******************************************
* End Form configuration
******************************************/

//* Check permissions for module
$app->auth->check_module_permissions('mail');
$app->uses('functions');
$app->load('listform_actions');

class list_action extends listform_actions {

	function prepareDataRow($rec)
	{
		global $app;

		$rec = $app->listform->decode($rec);

		//* Alternating datarow colors
		$this->DataRowColor = ($this->DataRowColor == '#FFFFFF') ? '#EEEEEE' : '#FFFFFF';
		$rec['bgcolor'] = $this->DataRowColor;

                $lastlogin = $app->db->queryOneRecord("SELECT last_login FROM mail_lastlogin WHERE email LIKE ?", $rec['email']);
		$client = $app->db->queryOneRecord("SELECT client.client_id, client.contact_name, CONCAT(IF(client.company_name != '', CONCAT(client.company_name, ' :: '), ''), client.contact_name, ' (', client.username, IF(client.customer_no != '', CONCAT(', ', client.customer_no), ''), ')') as contactname, sys_group.name FROM sys_group, client WHERE sys_group.client_id = client.client_id and sys_group.groupid = ?", $rec['sys_groupid']);
		$mail_server = $app->db->queryOneRecord("SELECT server_name FROM server where server_id = ?", $rec['server_id']);

		$rec['server_id'] = $mail_server['server_name'];
		$rec['sys_groupid'] = $client['contactname'];

                $timeStamp = $lastlogin['last_login'];

		$date = new DateTime();
		$date->setTimestamp($timeStamp);
		$rec['last_login'] = $date->format('Y-m-d H:i:s');
                $rec['id'] = $rec[$this->idx_key];


		return $rec;
	}

}

$list = new list_action;
$list->SQLOrderBy = 'GROUP BY mail_user.email ORDER BY mail_user.email';
$list->onLoad();


?>
